=head1 NAME

Gtk2::Calendar

=head1 HIERARCHY

  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Calendar

=head1 INTERFACES

  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable


=head1 METHODS

=head2 widget = Gtk2::Calendar-E<gt>B<new> 

=over

=back

=head2 $calendar-E<gt>B<clear_marks> 

=over

=back

=head2 (year, month, day) = $calendar-E<gt>B<get_date> 

=over

=back

=head2 $calendar-E<gt>B<display_options> ($flags)

=over

=over

=item * $flags (Gtk2::CalendarDisplayOptions) 

=back

The old name for C<set_display_options>.

=back

=head2 calendardisplayoptions = $calendar-E<gt>B<get_display_options> 

=over

=back

=head2 $calendar-E<gt>B<set_display_options> ($flags)

=over

=over

=item * $flags (Gtk2::CalendarDisplayOptions) 

=back

=back

=head2 $calendar-E<gt>B<freeze> 

=over

=back

=head2 boolean = $calendar-E<gt>B<mark_day> ($day)

=over

=over

=item * $day (integer) 

=back

=back

=head2 $widget->B<marked_date> ($value)

=head2 value = $widget->B<marked_date>

=over



=back

=head2 $widget->B<month> ($value)

=head2 value = $widget->B<month>

=over



=back

=head2 $widget->B<num_marked_dates> ($value)

=head2 value = $widget->B<num_marked_dates>

=over



=back

=head2 $calendar-E<gt>B<select_day> ($day)

=over

=over

=item * $day (integer) 

=back

=back

=head2 boolean = $calendar-E<gt>B<select_month> ($month, $year)

=over

=over

=item * $month (integer) 

=item * $year (integer) 

=back

=back

=head2 $widget->B<selected_day> ($value)

=head2 value = $widget->B<selected_day>

=over



=back

=head2 $calendar-E<gt>B<thaw> 

=over

=back

=head2 boolean = $calendar-E<gt>B<unmark_day> ($day)

=over

=over

=item * $day (integer) 

=back

=back

=head2 $widget->B<year> ($value)

=head2 value = $widget->B<year>

=over



=back


=head1 PROPERTIES

=over

=item 'day' (integer : readable / writable / private)

The selected day (as a number between 1 and 31, or 0 to unselect the currently selected day)

=item 'month' (integer : readable / writable / private)

The selected month (as a number between 0 and 11)

=item 'no-month-change' (boolean : readable / writable / private)

If TRUE, the selected month cannot be changed

=item 'show-day-names' (boolean : readable / writable / private)

If TRUE, day names are displayed

=item 'show-heading' (boolean : readable / writable / private)

If TRUE, a heading is displayed

=item 'show-week-numbers' (boolean : readable / writable / private)

If TRUE, week numbers are displayed

=item 'year' (integer : readable / writable / private)

The selected year

=back


=head1 SIGNALS

=over

=item B<month-changed> (Gtk2::Calendar)

=item B<day-selected> (Gtk2::Calendar)

=item B<day-selected-double-click> (Gtk2::Calendar)

=item B<prev-month> (Gtk2::Calendar)

=item B<next-month> (Gtk2::Calendar)

=item B<prev-year> (Gtk2::Calendar)

=item B<next-year> (Gtk2::Calendar)

=back


=head1 ENUMS AND FLAGS

=head2 flags Gtk2::CalendarDisplayOptions

=over

=item * 'show-heading' / 'GTK_CALENDAR_SHOW_HEADING'

=item * 'show-day-names' / 'GTK_CALENDAR_SHOW_DAY_NAMES'

=item * 'no-month-change' / 'GTK_CALENDAR_NO_MONTH_CHANGE'

=item * 'show-week-numbers' / 'GTK_CALENDAR_SHOW_WEEK_NUMBERS'

=item * 'week-start-monday' / 'GTK_CALENDAR_WEEK_START_MONDAY'

=back



=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>, L<Glib::InitiallyUnowned>, L<Gtk2::Object>, L<Gtk2::Widget>

=head1 COPYRIGHT

Copyright (C) 2003-2007 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.


=cut

